Skip to main content
POST
Reschedule the interview

Authorizations

Authorization
string
header
required

API key authentication for the public API. Pass your API key as a Bearer token.

Path Parameters

application_id
string<uuid>
required

Body

application/json

Request body for POST /applications/{id}/interview/reschedule.

scheduled_at
string<date-time>
required

The new interview time (ISO 8601).

Response

Interview rescheduled.

Session envelope + nested result. result is null until completed.

id
string<uuid>
required
read-only
is_terminal
boolean
required
read-only
mode
enum<string>
required

Snapshot of the interview config mode at session creation time.

  • web - Web
  • phone - Phone
Available options:
web,
phone
language
enum<string>
required

Language of the interview session.

  • en-US - English
  • de-DE - German
Available options:
en-US,
de-DE
result
object | null
required

The scored result body. Null on the session until status==completed.

status
enum<string>

Current status of the interview session, which determines next steps in the interview process.

  • pending - Pending
  • scheduled - Scheduled
  • in_progress - In Progress
  • rescheduled - Rescheduled
  • retry_scheduled - Retry Scheduled
  • completed - Completed
  • opted_out - Opted Out
  • unreachable - Unreachable
  • language_barrier - Language Barrier
  • failed - Failed
  • cancelled - Cancelled
Available options:
pending,
scheduled,
in_progress,
rescheduled,
retry_scheduled,
completed,
opted_out,
unreachable,
language_barrier,
failed,
cancelled
scheduled_at
string<date-time> | null

[Scheduling enabled only] Scheduled date and time for the interview. Populated only when the interview config's scheduling is enabled. Null otherwise.

retake_number
integer

Number of retakes. 0 = original attempt, 1 = first retake.

Required range: 0 <= x <= 2147483647
call_retry_count
integer

Number of call retry attempts within the current retake. Reset on each retake.

Required range: 0 <= x <= 2147483647
status_updated_at
string<date-time>

Timestamp of the last update to the interview session status. Updated each time the status changes.

error_message
string | null

Error details when the session fails or is unreachable.